routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('/event','EventController');

app/Event.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Event extends Model
{
    protected $guarded = ['id', '_token'];

    protected $fillable = [
        'name', 'type','start_date','end_date','status'
    ];
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/EventController.php
<?php

namespace App\Http\Controllers;

use App\Event;
use Illuminate\Http\Request;

class EventController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $event = Event::latest()->paginate(5);

        return view('home',compact('event'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'type' => 'required',
            'start_date' => 'required',
            'end_date' => 'required',
        ]);

        Event::create($request->all());

        return redirect()->route('event.index')
                        ->with('success','Event created successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $event = Event::find($id);
        return view('edit',compact('event'));

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $request->validate([
            'name' => 'required',
            'type' => 'required',
            'start_date' => 'required',
            'end_date' => 'required',
        ]);
        Event::where('id','=',$id)->update(['name' => $request->name,
                                             'type' => $request->type,
                                             'start_date' => $request->start_date,
                                             'end_date' => $request->end_date,
                                             'status' => $request->status]);

        return redirect()->route('event.index')
                        ->with('success','Event updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $event = Event::find($id);
        $event->delete();
        return redirect()->route('event.index')
                        ->with('success','Event deleted successfully');
    }
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use App\Event;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $event = Event::latest()->paginate(5);

        return view('home',compact('event'));
    }
}

resources/views/create.blade.php
@extends('layouts.master')

@section('content')
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
<div class="container">
    <div class="row justify-content-center">
<div class="col-xl-6">
    <div class="card spur-card">
        <div class="card-header">
            <div class="spur-card-icon">
                <i class="fas fa-chart-bar"></i>
            </div>
            <div class="spur-card-title"> Create Event </div>
        </div>
        <div class="card-body ">
            <form action="{{ route('event.store') }}" method="POST">
                @csrf
                <div class="form-group">
                    <label for="exampleFormControlInput1">Name</label>
                    <input type="text" class="form-control" name="name" id="exampleFormControlInput1" placeholder="Event name">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">Type</label>
                    <input type="text" class="form-control" name="type" id="exampleFormControlInput1" placeholder="Event type">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">Start Date</label>
                    <input type="date" class="form-control" id="exampleFormControlInput1" name="start_date">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">End Date</label>
                    <input type="date" class="form-control" id="exampleFormControlInput1" name="end_date">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">Status</label>
                    <select name="status" class="form-control" id="exampleFormControlInput1">
                        <option value="1">Active</option>
                        <option value="2">InActive</option>
                      </select>
                </div>

                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
</div>
</div>
</div>
@endsection

resources/views/edit.blade.php
@extends('layouts.master')

@section('content')
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
<div class="container">
    <div class="row justify-content-center">
<div class="col-xl-6">
    <div class="card spur-card">
        <div class="card-header">
            <div class="spur-card-icon">
                <i class="fas fa-chart-bar"></i>
            </div>
            <div class="spur-card-title"> Edit Event </div>
        </div>
        <div class="card-body ">

    <form action="{{ route('event.update',$event->id) }}" method="POST">
        @csrf
        @method('PUT')
                <div class="form-group">
                    <label for="exampleFormControlInput1">Name</label>
                    <input type="text" class="form-control" name="name" value="{{ $event->name }}" id="exampleFormControlInput1" placeholder="Event name">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">Type</label>
                    <input type="text" class="form-control" name="type" value="{{ $event->type }}" id="exampleFormControlInput1" placeholder="Event type">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">Start Date</label>
                    <input type="date" class="form-control" value="{{ $event->start_date }}" id="exampleFormControlInput1" name="start_date">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">End Date</label>
                    <input type="date" class="form-control" value="{{ $event->end_date }}" id="exampleFormControlInput1" name="end_date">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">Status</label>
                    <select name="status" class="form-control" id="exampleFormControlInput1">
                        @if ($event->status == 1)
                        <option value="1" selected>Active</option>
                        <option value="2">InActive</option>

                        @else
                        <option value="2" selected>InActive</option>
                        <option value="1">Active</option>

                        @endif


                      </select>
                </div>

                <button type="submit" class="btn btn-primary">Edit</button>
            </form>
        </div>
    </div>
</div>
</div>
</div>
@endsection

resources/views/home.blade.php
@extends('layouts.master')

@section('content')
<div class="row">
    <div class="col-lg-8 margin-tb">
        <br>
        <div class="pull-left row justify-content-center">
            <h2>Event Management</h2>
        </div>
        <div class="pull-right">
            <a class="btn btn-success" href="{{ route('event.create') }}"> Create New Event</a>
        </div>
        <br>
    </div>
</div>

@if ($message = Session::get('success'))
    <div class="alert alert-success">
        <p>{{ $message }}</p>
    </div>
@endif

<table class="table table-striped">
    <tr>
        <th>No</th>
        <th>Name</th>
        <th>Type</th>
        <th>Start Date</th>
        <th>End Date</th>
        <th>Status</th>
        <th width="280px">Action</th>
    </tr>
    <?php $counts = 1 ?>
    @forelse($event as $key => $events)
    <tr>
        <td>{{ $event->firstItem() + $key }}</td>
        <td>{{ $events->name }}</td>
        <td>{{ $events->type }}</td>
        <td>{{ $events->start_date }}</td>
        <td>{{ $events->end_date }}</td>
        @if($events->status == 1)
        <td>Active</td>
        @else
        <td>InActive</td>
        @endif
        <td>
            <form onsubmit="return confirm('Please confirm you want to delete!')" action="{{ route('event.destroy',$events->id) }}" method="POST" class="delete">

                <a class="btn btn-primary" href="{{ route('event.edit',$events->id) }}">Edit</a>

                @csrf
                @method('DELETE')

                <button type="submit" class="btn btn-danger" >Delete</button>
            </form>
        </td>
    </tr>
    @empty
    <tr><td colspan="2">No data found</td></tr>
@endforelse
</table>
{!! $event->links() !!}

@endsection

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('css/custom.css') }}">

</head>
<body>
        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/layouts/header.blade.php
<header class="dash-toolbar">
    <div class="tools">
        <div class="dropdown tools-item">
            <a href="#" class="" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-user"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenu1">
                {{-- <a class="dropdown-item" href="#!">Profile</a> --}}
                <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault();
                document.getElementById('logout-form').submit();">Logout</a>
                <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                    @csrf
                </form>
            </div>
        </div>
    </div>
</header>

resources/views/layouts/master.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('css/custom.css') }}">

</head>
<body>
    <div class="dash">
        @include('layouts.sidebar')
        <div class="dash-app">
            @include('layouts.header')
        <main>
            @yield('content')
        </main>
        </div>
    </div>
</body>
</html>

resources/views/layouts/sidebar.blade.php
<div class="dash-nav dash-nav-dark">
    <header>
        <a href="#!" class="menu-toggle">
            <i class="fas fa-bars"></i>
        </a>
        <a href="#" class="spur-logo"></i> <span>Event Manage</span></a>
    </header>
    <nav class="dash-nav-list">
        <a href="{{ route('event.index')}}" class="dash-nav-item">
            <i class="fas fa-cube"></i> Events </a>

    </nav>
</div>